TravelyfeHelp
ProgramadoresReferenceDocuments

Save A Document's Details

PUT
/v1/app/library/{id}/documents/{documentId}

Adds or replaces the details of one of your documents on an itinerary you can edit: the document itself, with storagePath as its file was stored. Answers the document.

Only available to the Travelyfe apps. Tokens issued to other apps receive forbidden.

AuthorizationBearer <token>

A Travelyfe access token.

In: header

Path Parameters

id*string

The itinerary id (UUID).

Formatuuid
documentId*string

The document id.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/v1/app/library/497f6eca-6276-4993-bfeb-53cbbbba6f08/documents/string" \  -H "Content-Type: application/json" \  -d '{    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "storagePath": "string"  }'
{}